perl-Data-Validate-Email-0.06-alt1.noarch.rpm


Advertisement

Description

perl-Data-Validate-Email - common email validation methods

Property Value
Distribution ALT Linux Sisyphus
Repository Autoimports noarch
Package name perl-Data-Validate-Email
Package version 0.06
Package release alt1
Package architecture noarch
Package type rpm
Installed size 18.21 KB
Download size 18.21 KB
Official Mirror ftp.altlinux.org
This module collects common email validation routines to make input validation,.and untainting easier and more readable.
All functions return an untainted value if the test passes, and undef if
it fails.  This means that you should always check for a defined status explicitly.
Don't assume the return will be true. (e.g. is_username('0'))
The value to test is always the first (and often only) argument.

Alternatives

Package Version Architecture Repository
perl-Data-Validate-Email - - -

Requires

Name Value
/usr/share/perl5 -
perl(AutoLoader.pm) -
perl(Data/Validate/Domain.pm) >= 0.040
perl(Email/Address.pm) -
rpmlib(PayloadIsLzma) -

Provides

Name Value
perl(Data/Validate/Email.pm) = 0.060
perl-Data-Validate-Email = 0.06-alt1

Download

Type URL
Binary Package perl-Data-Validate-Email-0.06-alt1.noarch.rpm
Source Package perl-Data-Validate-Email-0.06-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/autoimports/Sisyphus noarch autoimports
    
  2. Update the package index:
    # sudo apt-get update
  3. Install perl-Data-Validate-Email rpm package:
    # sudo apt-get install perl-Data-Validate-Email

Files

Path
/usr/share/doc/perl-Data-Validate-Email-0.06/Changes
/usr/share/doc/perl-Data-Validate-Email-0.06/README
/usr/share/perl5/Data/
/usr/share/perl5/Data/Validate/Email.pm
/usr/share/perl5/auto/Data/
/usr/share/perl5/auto/Data/Validate/
/usr/share/perl5/auto/Data/Validate/Email/autosplit.ix
/usr/share/perl5/auto/Data/Validate/Email/is_domain.al
/usr/share/perl5/auto/Data/Validate/Email/is_email.al
/usr/share/perl5/auto/Data/Validate/Email/is_email_rfc822.al
/usr/share/perl5/auto/Data/Validate/Email/is_username.al
/usr/share/perl5/auto/Data/Validate/Email/new.al

See Also

Package Description
perl-Data-Validate-Image-0.012002-alt1.noarch.rpm Validates an image and returns basic info
perl-Data-Validate-Japanese-0.01001-alt1.noarch.rpm Validate Japanese Input
perl-Data-Validate-MySQL-0.03-alt1.noarch.rpm validate against MySQL data types
perl-Data-Validate-Perl-0.02-alt1.noarch.rpm validates in-memory perl data using a specification
perl-Data-Validate-Perl-scripts-0.02-alt1.noarch.rpm Data-Validate-Perl scripts
perl-Data-Validate-Sanctions-0.11-alt1.noarch.rpm Validate a name against sanctions lists
perl-Data-Validate-Sanctions-scripts-0.11-alt1.noarch.rpm Data-Validate-Sanctions scripts
perl-Data-Validate-Struct-0.1-alt2.noarch.rpm Validate recursive Hash Structures
perl-Data-Validate-Type-1.6.0-alt1_7.noarch.rpm Public interface to Params::Util offering data type validation functions
perl-Data-Validate-UUID-0.1.1-alt1.noarch.rpm Data Validator to check for well formed UUIDs
perl-Data-Validate-VIN-0.04-alt1.noarch.rpm Perl extension for basic validation of
perl-Data-Validate-WithYAML-0.16-alt1.noarch.rpm Validation framework that can be configured with YAML files
perl-Data-Validate-WithYAML-Plugin-Country-0.02-alt1.noarch.rpm check whether a given value is a valid country code
perl-Data-Validate-WithYAML-Plugin-EMail-0.03-alt1.noarch.rpm Plugin for Data::Validate::WithYAML to check email addresses
perl-Data-Validate-WithYAML-Plugin-IBAN-0.03-alt1.noarch.rpm check whether a given value is a valid IBAN
Advertisement
Advertisement